Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class JXPathIntrospector

    java.lang.Object
      |
      +--org.apache.commons.jxpath.JXPathIntrospector

public class JXPathIntrospector
extends java.lang.Object

JXPathIntrospector maintains a registry of `JXPathBeanInfo` objects for Java classes.

Version:
  $Revision: 1.6 $ $Date: 2003/03/11 00:59:12 $
Author:
  Dmitri Plotnikov

Constructor Summary
`JXPathIntrospector()`

Method Summary
`static JXPathBeanInfo` | `getBeanInfo(java.lang.Class beanClass)` Creates and registers a JXPathBeanInfo object for the supplied class.
`static void` | `registerAtomicClass(java.lang.Class beanClass)` Automatically creates and registers a JXPathBeanInfo object for the specified class.
`static void` | `registerDynamicClass(java.lang.Class beanClass, java.lang.Class dynamicPropertyHandlerClass)` Automatically creates and registers a JXPathBeanInfo object for the specified class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXPathIntrospector

    public JXPathIntrospector()

Method Detail

### registerAtomicClass

    public static void registerAtomicClass(java.lang.Class beanClass)

  Automatically creates and registers a JXPathBeanInfo object for the specified class. That object returns true to isAtomic().

### registerDynamicClass

    public static void registerDynamicClass(java.lang.Class beanClass,
                                            java.lang.Class dynamicPropertyHandlerClass)

  Automatically creates and registers a JXPathBeanInfo object for the specified class. That object returns true to isDynamic().

### getBeanInfo

    public static JXPathBeanInfo getBeanInfo(java.lang.Class beanClass)

  Creates and registers a JXPathBeanInfo object for the supplied class. If the class has already been registered, returns the registered JXPathBeanInfo object.

  The process of creation of JXPathBeanInfo is as follows:

  - If class named `<beanClass>XBeanInfo` exists, an instance of that class is allocated.
  - Otherwise, an instance of `JXPathBasicBeanInfo` is allocated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.